package com.keao.edu.im.api.entity;

public class ImGroupMessage extends ImMessageModel {
    public Integer isIncludeSender;
    public Integer isPersisted;
    public Integer contentAvailable;
    public String[] toUserId;
    private String type;

    public ImGroupMessage() {
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getIsIncludeSender() {
        return isIncludeSender;
    }

    public void setIsIncludeSender(Integer isIncludeSender) {
        this.isIncludeSender = isIncludeSender;
    }

    public Integer getIsPersisted() {
        return isPersisted;
    }

    public void setIsPersisted(Integer isPersisted) {
        this.isPersisted = isPersisted;
    }

    public Integer getContentAvailable() {
        return contentAvailable;
    }

    public void setContentAvailable(Integer contentAvailable) {
        this.contentAvailable = contentAvailable;
    }

    public String[] getToUserId() {
        return toUserId;
    }

    public void setToUserId(String[] toUserId) {
        this.toUserId = toUserId;
    }
}
